from yelpapi import YelpAPI

'''To run this code, follow these instructions:
1. Visit this website to create an app: https://www.yelp.com/developers/v3/manage_app (you may need to first create a Yelp account)
2. Enter information about your app (you can just say CS10 Demo) and then click "create."
3. Copy your API key from the app page to line 8 on this file.
4. Download yelpapi. You should be able to do this by running `pip install yelpapi` on your terminal.
5. Run this file using python3 -i yelp_demo.py. 
'''

yelp_api = YelpAPI('YOUR KEY HERE')

response = yelp_api.search_query(term='boba', location='New York City', price=4)

for business in response['businesses']:
	print(business['name'])



